Subject: bug#69105: closed (Re: [bug#69105] [PATCH] gnu: linux-libre-documentation: Fix compilation.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Feb 2024 01:36:02 +0000

Your bug report

#69105: [PATCH] gnu: linux-libre-documentation: Fix compilation.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69105: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69105] [PATCH] gnu: linux-libre-documentation: Fix compilation.
From: Leo Famulari <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: Wilko Meyer <[email-masked]>, [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 20 Feb 2024 20:34:45 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 20, 2024 at 07:29:16PM +0100, Tomas Volf wrote:
> I see, I guess it was a mistake trying to fetch the patch in this way.  I've
> sent a v2 that just adds it into the patches/ directory.  I hope that will work
> fine.

I double-checked the hash and your original patch had the correct value.

For some reason, when the build farm tried to download the patch file
from the kernel infrastructure, the wrong data was received and the hash
did not match.

But when I downloaded the patch file "by hand" with `curl`, I received
the expected data.

Then, I applied your patch to a checkout of guix.git and successfully
built linux-libre-documentation with `./pre-inst-env [...]`.

So, I think your original patch is good.

Sometimes these transient errors occur. Including the patch directly in
our repo would be more reliable than fetching it, but there is the minor
negative effect of increasing the size of our codebase. I chose to fetch
the data in this case.

Thank you very much for working on this bug!

Patch version 1 pushed as b6f82b9ef1a3d51a39995598eab9f793656e9123

Subject: [PATCH] gnu: linux-libre-documentation: Fix compilation.
From: Tomas Volf <[email-masked]>
To: [email-masked]
Cc: Tomas Volf <[email-masked]>
Date: Tue, 13 Feb 2024 17:22:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When compiling [email-masked], the compilation fails with
following error message:

    Exception occurred:
      File "/tmp/guix-build-linux-libre-documentation-6.6.16.drv-0/linux-6.6.16/Documentation/sphinx/kernel_feat.py", line 112, in run
        nodeList = self.nestedParse(out_lines, fname)
    UnboundLocalError: local variable 'fname' referenced before assignment

This is already fixed upstream[0], so this commit backports the change.

0: https://lore.kernel.org/all/[email-masked]/t/

* gnu/packages/linux.scm (linux-libre-documentation): Apply patch fixing
compilation.

Change-Id: Ic96f14aa25df09f38e029ca70d2647cbf37c2365
---
 gnu/packages/linux.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index b8b119e474..49b9e01167 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2003,6 +2003,17 @@ (define-public linux-libre-documentation
   (package
     (inherit linux-libre)
     (name "linux-libre-documentation")
+    (source
+     (origin
+       (inherit linux-libre-source)
+       (patches
+        (list
+         (origin
+           (method url-fetch)
+           (uri "https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/patch/Documentation/sphinx/kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428")
+           (sha256
+            (base32
+             "0inw2pl7nh82sw8bhvvzqa61552bisl78yc1nyl2x6dmpyppzrld")))))))
     (arguments
      (list
       #:tests? #f

base-commit: e9a6c7094822bc859d0694eeaf8f434317219367
-- 
2.41.0